Examples4Wings Reports
Generate report with total fishing hours per Lat/Lon grid cell using existing regions (MPA Dorsal de Nasca) in JSON format
Example 4Wings report of total fishing hours per lat/lon grid cell in the Dorsal de Nasca MPA, as JSON.
To get details of existing regions, check Regions in the Reference data section
GET
Query parameters
| Parameter | Value | Description |
|---|---|---|
spatial-resolution | LOW | Low spatial resolution |
temporal-resolution | ENTIRE | Aggregate over the entire date range |
spatial-aggregation | false | Don't aggregate spatially (per grid cell) |
datasets[0] | public-global-fishing-effort:latest | AIS apparent fishing effort dataset |
date-range | 2022-05-01,2022-12-01 | Filter to this time period |
format | JSON | Response format |
region-id | 555745302 | MPA Dorsal de Nasca region id |
region-dataset | public-mpa-all | Existing region dataset |
Request
# Make sure to replace [TOKEN] with your API Access Token.
curl --location -g --request GET 'https://gateway.api.globalfishingwatch.org/v3/4wings/report?spatial-resolution=LOW&temporal-resolution=ENTIRE&spatial-aggregation=false&datasets[0]=public-global-fishing-effort:latest&date-range=2022-05-01,2022-12-01&format=JSON®ion-id=555745302®ion-dataset=public-mpa-all'\
--header 'Authorization: Bearer [TOKEN]' \
--header 'Content-Type: application/json' \
--output 'report-grouped.json'result = await gfw_client.fourwings.create_report(
datasets=["public-global-fishing-effort:latest"],
spatial_resolution="LOW",
temporal_resolution="ENTIRE",
spatial_aggregation=False,
start_date="2022-05-01",
end_date="2022-12-01",
region={"dataset": "public-mpa-all", "id": 555745302},
)// Make sure to replace [TOKEN] with your API Access Token.
const res = await fetch(
'https://gateway.api.globalfishingwatch.org/v3/4wings/report?spatial-resolution=LOW&temporal-resolution=ENTIRE&spatial-aggregation=false&datasets[0]=public-global-fishing-effort:latest&date-range=2022-05-01,2022-12-01&format=JSON®ion-id=555745302®ion-dataset=public-mpa-all',
{ headers: { Authorization: 'Bearer [TOKEN]' } }
)
const data = await res.blob()POST
Query parameters
| Parameter | Value | Description |
|---|---|---|
spatial-resolution | LOW | Low spatial resolution |
temporal-resolution | ENTIRE | Aggregate over the entire date range |
spatial-aggregation | false | Don't aggregate spatially (per grid cell) |
datasets[0] | public-global-fishing-effort:latest | AIS apparent fishing effort dataset |
date-range | 2022-05-01,2022-12-01 | Filter to this time period |
format | JSON | Response format |
Request body
| Field | Value | Description |
|---|---|---|
region.dataset | public-mpa-all | Existing region dataset |
region.id | 555745302 | MPA Dorsal de Nasca region id |
Request
# Make sure to replace [TOKEN] with your API Access Token.
curl --location -g --request POST 'https://gateway.api.globalfishingwatch.org/v3/4wings/report?spatial-resolution=LOW&temporal-resolution=ENTIRE&spatial-aggregation=false&datasets[0]=public-global-fishing-effort:latest&date-range=2022-05-01,2022-12-01&format=JSON'\
--header 'Authorization: Bearer [TOKEN]' \
--header 'Content-Type: application/json' \
--output 'report-grouped.json' \
--data-raw '{
"region": {
"dataset": "public-mpa-all",
"id": 555745302
}
}'result = await gfw_client.fourwings.create_report(
datasets=["public-global-fishing-effort:latest"],
spatial_resolution="LOW",
temporal_resolution="ENTIRE",
spatial_aggregation=False,
start_date="2022-05-01",
end_date="2022-12-01",
region={"dataset": "public-mpa-all", "id": 555745302},
)// Make sure to replace [TOKEN] with your API Access Token.
const res = await fetch(
'https://gateway.api.globalfishingwatch.org/v3/4wings/report?spatial-resolution=LOW&temporal-resolution=ENTIRE&spatial-aggregation=false&datasets[0]=public-global-fishing-effort:latest&date-range=2022-05-01,2022-12-01&format=JSON',
{
method: 'POST',
headers: {
Authorization: 'Bearer [TOKEN]',
'Content-Type': 'application/json',
},
body: JSON.stringify({
region: { dataset: 'public-mpa-all', id: 555745302 },
}),
}
)
const data = await res.blob()Response
{
"total": 1,
"limit": null,
"offset": null,
"nextOffset": null,
"metadata": {},
"entries": [
{
"public-global-fishing-effort:v3.0": [
{
"date": "2022-05-01,2022-12-01",
"hours": 0.5788888888888889,
"lat": -16,
"lon": -77
},
{
"date": "2022-05-01,2022-12-01",
"hours": 1.2480555555555557,
"lat": -15.3,
"lon": -77.8
}
]
}
]
}Generate fishing effort report grouped by gear type, using existing regions (Russian EEZ) in CSV format
Example 4Wings report for apparent fishing effort in the Russian EEZ, grouped by gear type, as CSV.
Generate report with total fishing hours per Lat/Lon grid cell using existing regions (MPA Dorsal de Nasca) in JSON format and buffer of 4 nautical miles
Example 4Wings report of total fishing hours per grid cell in the Dorsal de Nasca MPA with a 4 nautical mile buffer, as JSON.